summaryrefslogtreecommitdiff
path: root/sys-libs
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2016-09-07 02:57:15 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2016-09-07 02:57:15 +0300
commit4be76139a012d0ffe80cef747042fe62a0af02aa (patch)
tree300406e7c6bb0a153baa462d4f42acbbc406286d /sys-libs
parent7c0800e7ae19001dce65fb7a4202a0f31b5140bf (diff)
samba deps
Diffstat (limited to 'sys-libs')
-rw-r--r--sys-libs/talloc/metadata.xml15
-rw-r--r--sys-libs/talloc/talloc-scm.ebuild102
-rw-r--r--sys-libs/tevent/metadata.xml12
-rw-r--r--sys-libs/tevent/tevent-scm.ebuild61
4 files changed, 190 insertions, 0 deletions
diff --git a/sys-libs/talloc/metadata.xml b/sys-libs/talloc/metadata.xml
new file mode 100644
index 0000000..afa6476
--- /dev/null
+++ b/sys-libs/talloc/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>samba@gentoo.org</email>
+ <name>Samba</name>
+ </maintainer>
+ <use>
+ <flag name="compat">Enable extra compatibility stuff</flag>
+ </use>
+</pkgmetadata>
diff --git a/sys-libs/talloc/talloc-scm.ebuild b/sys-libs/talloc/talloc-scm.ebuild
new file mode 100644
index 0000000..6c484ef
--- /dev/null
+++ b/sys-libs/talloc/talloc-scm.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit waf-utils python-single-r1 multilib multilib-minimal git-r3
+
+DESCRIPTION="Samba talloc library"
+HOMEPAGE="http://talloc.samba.org/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://git.samba.org/samba.git"
+
+LICENSE="GPL-3 LGPL-3+ LGPL-2 BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="compat +python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+ !!<sys-libs/talloc-2.0.5
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20140508-r1
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ dev-libs/libxslt
+ ${PYTHON_DEPS}"
+
+S="${S}/lib/talloc"
+WAF_BINARY="${S}/../../buildtools/bin/waf"
+WAF="${S}/../../buildtools/bin/waf"
+
+
+RESTRICT="test"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # python goes only for native
+ /usr/include/pytalloc.h
+)
+
+pkg_setup() {
+ # try to turn off distcc and ccache for people that have a problem with it
+ export DISTCC_DISABLE=1
+ export CCACHE_DISABLE=1
+
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # what would you expect of waf? i won't even waste time trying.
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local extra_opts=()
+
+ use compat && extra_opts+=( --enable-talloc-compat1 )
+ if ! multilib_is_native_abi || ! use python; then
+ extra_opts+=( --disable-python )
+ fi
+
+ waf-utils_src_configure \
+ "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+ waf-utils_src_compile
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ # waf is stupid, and no, we can't fix the build-system, since it's provided
+ # as a brilliant binary blob thats decompressed on the fly
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ install_name_tool \
+ -id "${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+ "${ED}"/usr/$(get_libdir)/libtalloc.2.0.5.dylib || die
+ if use python ; then
+ install_name_tool \
+ -id "${EPREFIX}"/usr/$(get_libdir)/libpytalloc-util.2.dylib \
+ "${ED}"/usr/$(get_libdir)/libpytalloc-util.2.0.5.dylib || die
+ install_name_tool \
+ -change "${S}/bin/default/libtalloc.dylib" \
+ "${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+ "${ED}"/usr/$(get_libdir)/libpytalloc-util.2.0.5.dylib || die
+ install_name_tool \
+ -change "${S}/bin/default/libtalloc.dylib" \
+ "${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+ "${D}"$(python_get_sitedir)/talloc.bundle || die
+ fi
+ fi
+}
diff --git a/sys-libs/tevent/metadata.xml b/sys-libs/tevent/metadata.xml
new file mode 100644
index 0000000..00dd5f3
--- /dev/null
+++ b/sys-libs/tevent/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+<maintainer type="project">
+ <email>samba@gentoo.org</email>
+ <name>Samba</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sys-libs/tevent/tevent-scm.ebuild b/sys-libs/tevent/tevent-scm.ebuild
new file mode 100644
index 0000000..43bab87
--- /dev/null
+++ b/sys-libs/tevent/tevent-scm.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit waf-utils multilib-minimal python-single-r1 git-r3
+
+DESCRIPTION="Samba tevent library"
+HOMEPAGE="http://tevent.samba.org/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://git.samba.org/samba.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE="python"
+
+RDEPEND=">=sys-libs/talloc-2.1.8[${MULTILIB_USEDEP}]
+ python? ( ${PYTHON_DEPS} )"
+
+DEPEND="${RDEPEND}
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ ${PYTHON_DEPS}
+"
+# build system does not work with python3
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S="${S}/lib/tevent"
+WAF_BINARY="${S}/../../buildtools/bin/waf"
+WAF="${S}/../../buildtools/bin/waf"
+
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ waf-utils_src_configure \
+ $(multilib_native_usex python '' '--disable-python')
+}
+
+multilib_src_compile() {
+ # need to avoid parallel building, this looks like the sanest way with waf-utils/multiprocessing eclasses
+ unset MAKEOPTS
+ waf-utils_src_compile
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ multilib_is_native_abi && use python && python_domodule tevent.py
+}